package filter

import (
	"github.com/flosch/pongo2"
	_ "github.com/flosch/pongo2-addons"
)

func init() {
	err := pongo2.ReplaceFilter("markdown", MarkdownFilter)
	if err != nil {
		panic(err)
	}

	newFilters := map[string]pongo2.FilterFunction{
		"image_process": ImageProcessFilter,
		"relative_path": RelativePathFilter,
		"json":          JSONFilter,
		"dump":          DumpFilter,
	}
	for name, fn := range newFilters {
		err := pongo2.RegisterFilter(name, fn)
		if err != nil {
			panic(err)
		}
	}
}
